### Enumeration

# Gdk DevicePadFeature

since: 4.0

#### Declaration

    enum Gdk.DevicePadFeature

#### Description [src]

A pad feature.

Available since: 4.0

#### Members

`GDK_DEVICE_PAD_FEATURE_BUTTON`

  A button.

  - Value: `0`
  - Nickname: `button`
  - Available since: 4.0
`GDK_DEVICE_PAD_FEATURE_RING`

  A ring-shaped interactive area.

  - Value: `1`
  - Nickname: `ring`
  - Available since: 4.0
`GDK_DEVICE_PAD_FEATURE_STRIP`

  A straight interactive area.

  - Value: `2`
  - Nickname: `strip`
  - Available since: 4.0